## neatvnc 0.4.0%2Bdfsg

=== meson_options.txt ===
option('benchmarks', type: 'boolean', value: false, description: 'Build benchmarks')
option('examples', type: 'boolean', value: false, description: 'Build examples')
option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG compression')
option('tls', type: 'feature', value: 'auto', description: 'Enable encryption & authentication')
option('systemtap', type: 'boolean', value: false, description: 'Enable tracing using sdt')

=== debian/watch ===
version=4
 opts="repack,repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/neatvnc-$1\.tar\.gz/" \
  https://github.com/any1/neatvnc/tags .*/v?(\d\S+)\.tar\.gz debian uupdate

## neatvnc 0.4.0+dfsg

=== debian/changelog ===
neatvnc (0.4.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.
  * debian/control: Add missing dependency for package libneatvnc-dev:
    gnutls-dev, libaml-dev, libpixman-1-dev, libturbojpeg0-dev,
    zlib1g-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Jan 2022 14:17:42 -0500

neatvnc (0.4.0+dfsg-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Sep 2021 10:11:11 -0400

=== debian/control ===
Source: neatvnc
Priority: optional
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 gnutls-dev,
 libaml-dev,
 libdrm-dev,
 libpixman-1-dev,
 libturbojpeg0-dev,
 meson,
 pkg-config,
 zlib1g-dev,
Rules-Requires-Root: no
Homepage: https://github.com/any1/neatvnc/
Vcs-Git: https://salsa.debian.org/debian/neatvnc.git
Vcs-Browser: https://salsa.debian.org/debian/neatvnc

Package: libneatvnc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 gnutls-dev,
 libaml-dev,
 libneatvnc0 (= ${binary:Version}),
 libpixman-1-dev,
 libturbojpeg0-dev,
 zlib1g-dev,
 ${misc:Depends},
Description: Fast and neat VNC server library (development files)
 Neatvnc is a liberally licensed VNC server library that's intended
 to be fast and neat. It comes with the goal of speed, clean interface
 and interoperability with the Freedesktop.org ecosystem.
 .
 This package provides library development files.

Package: libneatvnc0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fast and neat VNC server library (shared library)
 Neatvnc is a liberally licensed VNC server library that's intended
 to be fast and neat. It comes with the goal of speed, clean interface
 and interoperability with the Freedesktop.org ecosystem.
 .
 This package provides shared libraries.

## neatvnc 0.5.1+dfsg

=== debian/changelog ===
neatvnc (0.5.1+dfsg-2) unstable; urgency=high

  * Update copyright file with missing info. (Closes: #1015155)

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Jul 2022 17:00:55 -0400

neatvnc (0.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Jul 2022 09:32:05 -0400

## neatvnc 0.5.4+dfsg

=== meson_options.txt ===
option('benchmarks', type: 'boolean', value: false, description: 'Build benchmarks')
option('examples', type: 'boolean', value: false, description: 'Build examples')
option('tests', type: 'boolean', value: false, description: 'Build unit tests')
option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG compression')
option('tls', type: 'feature', value: 'auto', description: 'Enable encryption & authentication')
option('systemtap', type: 'boolean', value: false, description: 'Enable tracing using sdt')
option('gbm', type: 'feature', value: 'auto', description: 'Enable GBM integration')
option('h264', type: 'feature', value: 'auto', description: 'Enable open h264 encoding')

=== debian/changelog ===
neatvnc (0.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Sep 2022 13:07:41 -0400

neatvnc (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Aug 2022 16:52:56 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: libs
 Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  gnutls-dev,

## neatvnc 0.6.0+dfsg

=== debian/changelog ===
neatvnc (0.6.0+dfsg-4) unstable; urgency=medium

  * debian/rules: Enable verbose build.
  * debian/rules: Allow build failure in tests for big-endian
    architectures. (See upstream issue 85)
  * debian/rules: Echo full test log for verbose debugging.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 09:46:04 -0400

neatvnc (0.6.0+dfsg-3) unstable; urgency=medium

  * debian/rules: Enable post-build tests, accidentally missing
    in last build.
  * debian/control:
    + Add missing optional build-dependency: ffmpeg, libgbm.
    + Also add these binary dependencies for -dev packages.

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Jul 2023 09:34:15 -0400

neatvnc (0.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Limit libaml requirement to 0.3+.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jul 2023 21:17:42 -0400

neatvnc (0.5.4+dfsg-2~exp1) experimental; urgency=medium

  * debian/rules: Enable post-build tests per Gentoo maintainer's
    suggestion.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Mar 2023 21:53:27 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Priority: optional
 Section: libs
 Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  gnutls-dev,
- libaml-dev,
+ libaml-dev (>= 0.3),
+ libavcodec-dev,
+ libavutil-dev,
+ libavfilter-dev,
  libdrm-dev,
+ libgbm-dev,
  libpixman-1-dev,
  libturbojpeg0-dev,
  meson,
@@ -24,10 +28,14 @@
 Multi-Arch: same
 Depends:
  gnutls-dev,
- libaml-dev,
+ libaml-dev (>= 0.3.0),
  libneatvnc0 (= ${binary:Version}),
  libpixman-1-dev,
  libturbojpeg0-dev,
+ libgbm-dev,
+ libavcodec-dev,
+ libavutil-dev,
+ libavfilter-dev,
  zlib1g-dev,
  ${misc:Depends},
 Description: Fast and neat VNC server library (development files)

## neatvnc 0.7.1+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option('tests', type: 'boolean', value: false, description: 'Build unit tests')
 option('jpeg', type: 'feature', value: 'auto', description: 'Enable JPEG compression')
 option('tls', type: 'feature', value: 'auto', description: 'Enable encryption & authentication')
+option('nettle', type: 'feature', value: 'auto', description: 'Enable nettle low level encryption library')
 option('systemtap', type: 'boolean', value: false, description: 'Enable tracing using sdt')
 option('gbm', type: 'feature', value: 'auto', description: 'Enable GBM integration')
 option('h264', type: 'feature', value: 'auto', description: 'Enable open h264 encoding')

=== debian/changelog ===
neatvnc (0.7.1+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:13:56 +0000

neatvnc (0.7.1+dfsg-2build2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:09:48 +0000

neatvnc (0.7.1+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:24:19 +0000

neatvnc (0.7.1+dfsg-2) unstable; urgency=medium

  * debian/control: Add missing binary dep libdrm-dev (Closes: #1060729)
  * debian/libneatvnc-dev.examples:
    Also distribute src/pngfb.c (Closes: #1060730)

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Feb 2024 15:44:02 -0500

neatvnc (0.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Nov 2023 10:51:04 -0500

neatvnc (0.7.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 12:50:03 -0400

neatvnc (0.7.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Exclude xxhash.h and use system xxhash instead.
  * debian/control: Add new build-dep on libxxhash-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Oct 2023 12:23:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: neatvnc
 Priority: optional
 Section: libs
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  gnutls-dev,
  libaml-dev (>= 0.3),
  libavcodec-dev,
+ libavfilter-dev,
  libavutil-dev,
- libavfilter-dev,
  libdrm-dev,
  libgbm-dev,
  libpixman-1-dev,
  libturbojpeg0-dev,
+ libxxhash-dev,
  meson,
  pkg-config,
  zlib1g-dev,
@@ -28,14 +30,16 @@
 Multi-Arch: same
 Depends:
  gnutls-dev,
- libaml-dev (>= 0.3.0),
+ libaml-dev (>= 0.3),
+ libavcodec-dev,
+ libavfilter-dev,
+ libavutil-dev,
+ libdrm-dev,
+ libgbm-dev,
  libneatvnc0 (= ${binary:Version}),
  libpixman-1-dev,
  libturbojpeg0-dev,
- libgbm-dev,
- libavcodec-dev,
- libavutil-dev,
- libavfilter-dev,
+ libxxhash-dev,
  zlib1g-dev,
  ${misc:Depends},
 Description: Fast and neat VNC server library (development files)

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -Dtests=true \
		$(NULL)

# https://github.com/any1/neatvnc/issues/85
ifneq (,$(filter $(DEB_HOST_ARCH),s390x hppa powerpc ppc64))
override_dh_auto_test:
	-dh_auto_test
endif

execute_after_dh_auto_test:
	-cat obj-*/meson-logs/testlog.txt

## neatvnc 0.8.0+dfsg

=== debian/changelog ===
neatvnc (0.8.0+dfsg-2) unstable; urgency=high

  * QA upload.
  * Add sanity check for chosen security type (CVE-2024-42458)
    (Closes: #1077822)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Aug 2024 17:23:09 +0200

neatvnc (0.8.0+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Orphan the package. (See #1065738)

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 10:51:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: neatvnc
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),

## neatvnc 0.9.1+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 option('systemtap', type: 'boolean', value: false, description: 'Enable tracing using sdt')
 option('gbm', type: 'feature', value: 'auto', description: 'Enable GBM integration')
 option('h264', type: 'feature', value: 'auto', description: 'Enable open h264 encoding')
+option('experimental', type: 'boolean', value: false, description: 'Enable experimental features')

=== debian/changelog ===
neatvnc (0.9.1+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:05:08 +0000

neatvnc (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Cleanup patch.
  * Use pkgconf instead of pkg-config for Build-Depends.

 -- Han Gao <rabenda.cn@gmail.com>  Thu, 21 Nov 2024 08:04:16 +0000

neatvnc (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version 4.7.0
  * Change Maintainer to Han Gao (Closes: #1065738)
  * Cleanup patch
  * Fix i386 build

 -- Han Gao <rabenda.cn@gmail.com>  Wed, 20 Nov 2024 11:09:14 +0000

neatvnc (0.8.0+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Cherry-pick upstream patch to fix build with newer ffmpeg
    (Closes: #1086304)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2024 12:40:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: neatvnc
 Priority: optional
 Section: libs
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.6.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Han Gao <rabenda.cn@gmail.com>
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  gnutls-dev,
@@ -16,7 +17,7 @@
  libturbojpeg0-dev,
  libxxhash-dev,
  meson,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
 Rules-Requires-Root: no
 Homepage: https://github.com/any1/neatvnc/

## neatvnc 0.9.5~github~bpo12

=== debian/changelog ===
neatvnc (0.9.5~github~bpo12) trixie; urgency=medium

  * Packaged GitHub version 0.9.5

 -- Simon Long <simon@raspberrypi.com>  Wed, 30 Jul 2025 09:24:06 +0100

## neatvnc 0.9.5~github

=== debian/changelog ===
neatvnc (0.9.5~github) trixie; urgency=medium

  * Packaged GitHub version 0.9.5

 -- Simon Long <simon@raspberrypi.com>  Wed, 30 Jul 2025 09:24:06 +0100
